function melody(pathnfile,calib, language)

%% init
if nargin<3, language=0; end
if nargin<2, calib=0; end
if nargin<1, pathnfile = {'testperson','noHA'}; end

param.pathnfile=pathnfile;
param.calib=calib;
param.language=language;


%% window design
scsze = get(0,'ScreenSize');
color = [0.831 0.816 0.784];

height=275;
length=320;
param.height=height;
param.length=length;

pos = [scsze(3)/2-length/2 scsze(4)/2-height/2 length height];

param.main = figure('Name','Melody','NumberTitle','off');
set(param.main,'MenuBar','none');
set(param.main,'Color', color);
set(param.main,'Position', pos);

param.caption = uicontrol('Style', 'text', 'String', 'Melody', 'FontSize', 12, 'FontWeight', 'bold', 'Position', [length/2 - 200 height-80 400 40], 'BackgroundColor',color);

if param.language
    set(param.main,'Name','Melodie')
    set(param.caption,'String','Melodie')
end
param.training = uicontrol('Style', 'pushbutton', 'String', 'Training', 'FontSize', 10, 'Position', [length/2-70 height-150 140 50], 'BackgroundColor',color,'Callback',@function_training);
param.test = uicontrol('Style', 'pushbutton', 'String', 'Test', 'FontSize', 10, 'Position', [length/2-70 height-225 140 50], 'BackgroundColor',color,'Callback',@function_test);
guidata(param.main,param);

%%%%-------------------GUI functions-----------------%%%%
function function_training(hObject, eventdata)
param = guidata(hObject);
melody_training(param.pathnfile, param.calib, param.language);

function function_test(hObject, eventdata)
param = guidata(hObject);
close(param.main);
melody_test(param.pathnfile, param.calib, param.language);
